Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 654503 - Wine crash running Leonardo.exe - Process /usr/bin/wine-preloader was killed by signal 11 (SIGSEGV)
Summary: Wine crash running Leonardo.exe - Process /usr/bin/wine-preloader was killed ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: 14
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-18 03:19 UTC by Kerry
Modified: 2012-08-16 17:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 17:04:15 UTC
Type: ---


Attachments (Terms of Use)

Description Kerry 2010-11-18 03:19:44 UTC
Description of problem:
Crash starting Leonardo

Version-Release number of selected component (if applicable):
wine-core-1.3.6-1.fc14

How reproducible:
Always

Steps to Reproduce:
1. Install http://www.envi-met.com/download30.htm (password is 49152cwRt)
2. Start Leonardo component
3.
  
Actual results:
Program crash

Expected results:
Program starts

Additional info:

Package:    	wine-core-1.3.6-1.fc14
Latest Crash:	Thu 18 Nov 2010 14:05:47 
Command:    	Leonardo.exe '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
Reason:     	Process /usr/bin/wine-preloader was killed by signal 11 (SIGSEGV)
Comment:    	None
Bug Reports:	

$ wine Leonardo.exe 
wine: Unhandled exception 0x0eedfade at address 0x0000:0x7b837293 (thread 003f), starting debugger...
err:seh:setup_exception_record stack overflow 992 bytes in thread 003f eip 7bc70dd1 esp 00230f50 stack 0x230000-0x231000-0x330000
Segmentation fault (core dumped)
Process of pid=003e has terminated
No process loaded, cannot execute 'echo Modules:'
[nice@politemadness ENVImet31]$ Cannot get info on module while no process is loaded
No process loaded, cannot execute 'echo Threads:'
process  tid      prio (all id:s are in hex)
0000000e services.exe
        00000014    0
        00000010    0
        0000000f    0
00000011 winedevice.exe
        00000017    0
        00000016    0
        00000013    0
        00000012    0
00000019 explorer.exe
        0000001a    0
0000001b EnviStartUp.exe
        0000001c    0
00000022 envimet31_100_100.exe
        00000024    0
        00000023    0
You must be attached to a process to run this command.
No process loaded, cannot execute 'detach'

[nice@politemadness ENVImet31]$ winedbg Leonardo.exe 
WineDbg starting on pid 0018
0x7b8579e5 ExitProcess+0xcd5 in kernel32: movl  %edi,0x4(%esp)
Wine-dbg>finish
err:seh:setup_exception_record stack overflow 992 bytes in thread 001e eip 7bc70dd1 esp 00240f50 stack 0x240000-0x241000-0x340000
Invalid address (0x7b8579f1 ExitProcess+0xce1) for breakpoint 0, disabling it
Process of pid=0018 has terminated
Wine-dbg>quit
[nice@politemadness ENVImet31]$ pwd
/home/nice/.wine/drive_c/ENVImet31

Comment 1 Fedora End Of Life 2012-08-16 17:04:18 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.